/* 
-----------------------------------------------------------------------------
File: get.groovy
Author: Karl Bishop (kfbishop@us.ibm.com)
-----------------------------------------------------------------------------
(C) Copyright IBM Corp. 2008 All rights reserved.

You may only copy, modify, and distribute these samples internally.
These samples have not been tested under all conditions and are provided
to you by IBM without obligation of support of any kind.

IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
-----------------------------------------------------------------------------
*/
package rest

// Serialize list to JavaScript Object Notation format
def json(url) {
	def content = null
	if ( url.indexOf("://") == -1 ) {
		// Assume local file
		logger.INFO{ "Getting local JSON from: " + url }
		File f = null
	    try {
	    	f = zero.core.utils.VDirectory.getVFile(url);
	    	logger.INFO{"Local JSON file: ${f.absolutePath}, exists = ${f.exists()}"}
	    	if ( f.exists() ) {
	    	    content = Json.decode( f.getText() )
	    	}
	    } catch ( Exception e ) {
	    	logger.WARNING{"Path: ${url} Exception: ${e}"}
	    	return content;
	    }
	} else {
		// Try a normal Connection to the url
		logger.INFO{ "Getting remote JSON from: " + url }
		def resp = Connection.doGET(url)
		logger.INFO{ "Response status: " + resp.responseStatus }
		content = Json.decode(resp.responseBodyAsString)
	}
    return content
}

